{ pkgs, ... }:

let
  synapse-admin_over = pkgs.synapse-admin-etkecc.overrideAttrs (_: { yarnBuildFlags = "--base=/admin"; });
  synapse-admin = synapse-admin_over
    .withConfig {
      restrictBaseUrl = [
        "https://matrix.crans.org"
      ];
      asManagedUsers = [
        "^@ircbot:crans\\.org$"
      ];
    };
in
{
  imports = [
    ./nginx.nix
  ];

  services.nginx.virtualHosts = {
    "matrix.crans.org" = {
      locations."/admin/".alias = synapse-admin + "/";
      locations."=/admin".extraConfig = ''
          return 301 /admin/; 
        '';
    };
  };
}
